es.gob.fnmt.net.http.clave

## Class ClaveAuthentication

- java.lang.Object
- - es.gob.fnmt.net.http.clave.ClaveAuthentication

-     public class ClaveAuthentication
      extends java.lang.Object

  Cl@ve authentication class wrapper.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClaveAuthentication.ClaveBean` Class that holds Cl@ve response.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KNOWN_SEARCH_EXCEPTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClaveAuthentication()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClaveAuthentication.ClaveBean` | `doClave(java.lang.String htmlData, java.lang.String formAttr, java.lang.String formAttrValue, javax.net.ssl.SSLSocketFactory sslSocketFactory, android.content.Context context)` Return final HTML content at the Cl@ve authentication request process.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KNOWN_SEARCH_EXCEPTION

          public static final java.lang.String KNOWN_SEARCH_EXCEPTION

  - ### Constructor Detail

    - #### ClaveAuthentication

          public ClaveAuthentication()

  - ### Method Detail

    - #### doClave

          public static ClaveAuthentication.ClaveBean doClave(java.lang.String htmlData,
                                                              java.lang.String formAttr,
                                                              java.lang.String formAttrValue,
                                                              javax.net.ssl.SSLSocketFactory sslSocketFactory,
                                                              android.content.Context context)
                                                       throws java.lang.Exception

      Return final HTML content at the Cl@ve authentication request process.
      Parameters:
        `htmlData` - initial web page from Cl@ve authentication is requested.
        `formAttr` - identifier of the Cl@ve request form (e.g., 'id' or 'name' attributes of the form tag).
        `formAttrValue` - value of the previous identifier attribute.
        `sslSocketFactory` -
        `context` - application context.
      Returns:
        final HTML content retrieved when Cl@ve process finalizes
      Throws:
        `java.lang.IllegalArgumentException` - if `htmlData` or `formAttr` or `formAttrValue` or `context` is `null`.
        `java.lang.Exception`